Send Console Message

You can use Send Console Message to send messages to computers that have an active session with the computer that you are managing. You can send a message to individual computers, or you can send messages to all connected users.

  • For help with specific tasks, see How to.
  • For general background information, see Concepts.


How to...

  • Send a console message to all connected computers
  • Send a console message to a computer that you are managing


Send a console message to all connected computers

Microsoft Windows graphic

To send a console message to all connected computers

Using Computer Management

  1. XOX
  2. In the console tree, right-click Shared Folders, point to All Tasks, and then click Send Console Message.
  3. Type the message that you want to send in the Message box.
  4. Click Add, type the computer names of the recipients in the Recipients box, and then click OK.
  5. Click Send.

Notes

  • XOX
  • If any recipients do not successfully receive the message, the computer names remain in the Recipients list in the Send Console Message dialog box. Verify that the computer names are valid and that the computers are available, and then resend the message.
  • When it is started from the console root in Computer Management, the list of recipients contains only the name of the computer that you are managing. When it is started from the console root in Shared Folders or Services, the list of recipients contains the names of all the computers that have sessions that are currently open with the computer that you are managing.
  • For more information about using Computer Management, see Related Topics.

Using a command line

  • Open Command Prompt
  • Type:

    net send /users message

Argument | Description
net send | Sends messages to other users, computers, or messaging names on the network. The Messenger service must be running to receive messages.
/users | Sends the message to all users who are connected to the server.
message | The message that you want to send.

Notes

  • XOX
  • To view the complete syntax for this command, at a command prompt, type:

    net help send

Important

  • Use caution when you send a console message to all connected computers. The distribution list can be very large.

Notes

  • For the console message to be received, the Messenger service must be running on the recipient's computer.
  • If Windows Firewall is enabled on the computer of the recipient, the console message might be blocked.
  • Recipients are identified by computer names. If a user is logged on to more than one computer, only the computer name that is listed will receive the message.
  • Messages that are sent are not saved.

Related Topics


Send a console message to a computer that you are managing

Microsoft Windows graphic

To send a console message to a computer that you are managing

Using Computer Management

  1. XOX
  2. Right-click Computer Management on computer_name (or Computer Management (Local), if you are managing the local computer), point to All Tasks, and then click Send Console Message.
  3. Type the message that you want to send in the Message box.
  4. Click Add, type the computer names of the recipients in the Recipients box, and then click OK.
  5. Click Send.

Notes

  • XOX
  • By default, only the names of the computers that you are managing appear in the Recipients box.
  • If any recipients do not successfully receive the message, the computer names remain in the Recipients list in the Send Console Message dialog box. Verify that the computer names are valid and that the computers are available, and then resend the message.
  • When it is started from the console root in Computer Management, the list of recipients contains only the name of the computer that you are managing. When it is started from the console root in Shared Folders or Services, the list of recipients contains the names of all of the computers that have sessions that are currently open with the computer that you are managing.
  • For more information about using Computer Management, see Related Topics.

Using a command line

  • Open Command Prompt
  • Type:

    net send computername message

Argument | Description
net send | Sends messages to other users, computers, or messaging names on the network. The Messenger service must be running to receive messages.
computername | The name of the computer to which you want to send the message.
message | The message that you want to send.

Notes

  • XOX
  • To view the complete syntax for this command, at a command prompt, type:

    net help send

Notes

  • For the console message to be received, the Messenger service must be running on the recipient's computer.
  • If Windows Firewall is enabled on the computer of the recipient, the console message might be blocked.
  • Recipients are identified by computer names. If a user is logged on to more than one computer, only the computer name that is listed will receive the message.
  • Messages that are sent are not saved.

Related Topics


Concepts

This section provides general background information about Send Console Message.

  • Send Console Message overview
  • Managing Send Console Message from the command line


Send Console Message overview

Send Console Message is an extension of Computer Management. By using Send Console Message, you can send a message to some users or all users who have an active session with a computer that you are managing. For example, if you have to shut down or restart a computer that you are managing, you can easily send a message that notifies all users who are attached to a shared volume, folder, or printer that you are shutting down or restarting a service.

You can start the Send Console Message tool from the console root in Computer Management, Shared Folders, or Services. The operation of Send Console Message differs slightly, depending on the console root from which you start it:

  • When it is started from the console root in Computer Management, the list of recipients contains only the name of the computer that you are managing.
  • When it is started from the console root in Shared Folders or Services, the list of recipients contains the names of all the computers that have sessions that are currently open with the computer that you are managing.


Managing Send Console Message from the command line

In addition to using Send Console Message, you can use the command line to send console messages. The Net send command sends messages to other users, computers, or messaging names on the network.

For information about other command-line utilities, see Command-line reference A-Z. For more information about manageability, see Management and Administration.